Reinforcement UShapeRebar/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(17 intermediate revisions by 3 users not shown)
Line 3: Line 3:
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Arch_Rebar_Straight/ru|Straight Rebar]]
|[[Arch_Rebar_Straight/ru|Прямая арматура]]
|[[Arch_Rebar_LShape/ru|LShape Rebar]]
|[[Arch_Rebar_LShape/ru|L-Образная арматура]]
|[[Arch_Workbench/ru|Arch]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Rebar_Straight.svg
|IconL=Arch_Rebar_Straight.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Rebar_LShape.svg
|IconR=Arch_Rebar_LShape.svg
|IconC=Workbench_Arch.svg
}}
}}
</div>
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommandAddon/ru|Name=Arch Rebar UShape|Name/ru=Arch Rebar LShape|Workbenches=[[Arch Module/ru|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_BentShape/ru|Bent UShape Rebar]]}}
|Name/ru=U-Образная арматура
|Name=Arch_Rebar_UShape
|MenuLocation=Arch → Rebar tools → U-Shape Rebar<br>3D/BIM → Reinforcement tools → U-Shape Rebar
|Workbenches=[[Arch_Workbench/ru|Arch]], [[BIM_Workbench/ru|BIM]]
|Version=0.17
|SeeAlso=[[Reinforcement_Workbench/ru|Reinforcement]], [[Arch_Rebar/ru|Арматура по эскизу]], [[Arch_Rebar_LShape/ru|L-Образная арматура]]
}}
</div>
</div>


<span id="Description"></span>
==Описание==
==Описание==


Line 22: Line 30:
</div>
</div>


This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].
The {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch Rebar UShape|UShape Rebar]]}} tool is also integrated into [[BIM_Workbench|BIM Workbench]].

This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:AddonManager.svg|24px]] [[Addon Manager|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.


[[Image:Arch_Rebar_UShape_example.png|400px]]
[[Image:Arch_Rebar_UShape_example.png|400px]]
Line 31: Line 37:
</div>
</div>


<span id="Usage"></span>
==Использование==
==Применение==


# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}} object.
# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}} object.
# Then select {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch Rebar UShape|UShape Rebar]]}} from the rebar tools.
# Then select {{Button|[[Image:Reinforcement_UShapeRebar.svg|16px]] [[Reinforcement UShapeRebar|U-Shape Rebar]]}} from the rebar tools.
# A [[task panel]] will pop-out on the left side of the screen as shown below.
# A [[Task_panel|task panel]] will pop-out on the left side of the screen as shown below.
# Select the desired orientation.
# Select the desired orientation.
# Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Select the mode of distribution either 'Amount' or 'Spacing'.
# Select the mode of distribution either 'Amount' or 'Spacing'.
#* If 'Spacing' is selected, a user can also opt for [[Custom_Spacing|custom spacing]].
#* If 'Spacing' is selected, a user can also opt for [[Reinforcement_Custom_Spacing|custom spacing]].
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|Cancel}} to exit the task panel.
# Click {{Button|Cancel}} to exit the task panel.


:[[Image:UShapeDialog.png|250px]]
[[Image:UShapeDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar UShape tool}}
{{Caption|Task panel for the tool}}


<span id="Properties"></span>
==Свойства==
==Свойства==


Line 58: Line 66:
* {{PropertyData|Amount}}: The amount of rebars.
* {{PropertyData|Amount}}: The amount of rebars.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.

<span id="Scripting"></span>
==Программирование==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 66: Line 77:
Инструмент {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} можно использовать в [[macros]] и на консоли python с помощью следующей функции:
Инструмент {{KEY|[[Image:UShapeRebar.png|16px]] UShape Rebar}} можно использовать в [[macros]] и на консоли python с помощью следующей функции:
</div>
</div>

{{Code|code=
{{Code|code=
Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
Line 72: Line 84:
}}
}}


* Creates a {{incode|Rebar}} object from the given {{incode|structure}}, which is an [[Arch Structure]], and {{incode|facename}}, which is a face of that structure.
* Creates a {{incode|Rebar}} object from the given {{incode|structure}}, which is an [[Arch_Structure|Arch Structure]], and {{incode|facename}}, which is a face of that structure.
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
* {{incode|f_cover}}, {{incode|b_cover}}, {{incode|r_cover}}, {{incode|l_cover}}, and {{incode|t_cover}} are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, right, left, and top offsets.
* {{incode|f_cover}}, {{incode|b_cover}}, {{incode|r_cover}}, {{incode|l_cover}}, and {{incode|t_cover}} are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, right, left, and top offsets.
Line 81: Line 93:
* {{incode|orientation}} specifies the orientation of the rebar; it can be {{incode|"Bottom"}}, {{incode|"Top"}}, {{incode|"Right"}}, or {{incode|"Left"}}.
* {{incode|orientation}} specifies the orientation of the rebar; it can be {{incode|"Bottom"}}, {{incode|"Top"}}, {{incode|"Right"}}, or {{incode|"Left"}}.


<span id="Example"></span>
<div class="mw-translate-fuzzy">
Пример: Создание U Shaped арматуры.
=== Пример ===

</div>
{{Code|code=
{{Code|code=
import FreeCAD, Arch, UShapeRebar
import FreeCAD, Arch, UShapeRebar
Line 99: Line 111:
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}
}}

=== Edition of the rebar ===


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Изменение свойств арматуры UShape.
Изменение свойств арматуры UShape.
</div>
</div>

{{Code|code=
{{Code|code=
editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
Line 126: Line 141:
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Arch_Rebar_Straight/ru|Straight Rebar]]
|[[Arch_Rebar_Straight/ru|Прямая арматура]]
|[[Arch_Rebar_LShape/ru|LShape Rebar]]
|[[Arch_Rebar_LShape/ru|L-Образная арматура]]
|[[Arch_Workbench/ru|Arch]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Rebar_Straight.svg
|IconL=Arch_Rebar_Straight.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Rebar_LShape.svg
|IconR=Arch_Rebar_LShape.svg
|IconC=Workbench_Arch.svg
}}
}}
</div>
</div>


{{Arch Tools navi{{#translation:}}}}
[[Category:External_Command_Reference{{#translation:}}]]
{{Userdocnavi{{#translation:}}}}
[[Category:Reinforcement{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:43, 9 March 2024

U-Образная арматура

Системное название
Arch_Rebar_UShape
Расположение в меню
Arch → Rebar tools → U-Shape Rebar
3D/BIM → Reinforcement tools → U-Shape Rebar
Верстаки
Arch, BIM
Быстрые клавиши
Нет
Представлено в версии
0.17
См. также
Reinforcement, Арматура по эскизу, L-Образная арматура

Описание

Инструмент UShape Rebar позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Применение

  1. Select any face of a previously created Arch Structure object.
  2. Then select U-Shape Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
  6. Select the mode of distribution either 'Amount' or 'Spacing'.
  7. Pick Selected Face is used to verify or change the face for rebar distribution.
  8. Click OK or Apply to generate the rebars.
  9. Click Cancel to exit the task panel.

Task panel for the tool

Свойства

  • ДанныеOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • ДанныеFront Cover: The distance between rebar and selected face.
  • ДанныеRight Cover: The distance between the right end of the rebar to right face of the structure.
  • ДанныеLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • ДанныеBottom Cover: The distance between rebar from the bottom face of the structure.
  • ДанныеTop Cover: The distance between rebar from the top face of the structure.
  • ДанныеRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • ДанныеAmount: The amount of rebars.
  • ДанныеSpacing: The distance between the axes of each bar.

Программирование

Скриптование

Инструмент UShape Rebar можно использовать в macros и на консоли python с помощью следующей функции:

Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                        structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, b_cover, r_cover, l_cover, and t_cover are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, right, left, and top offsets.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • rounding is the parameter that determines the bending radius of the reinforcement bars.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Bottom", "Top", "Right", or "Left".

Пример

import FreeCAD, Arch, UShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

Изменение свойств арматуры UShape.

editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar is a previously created UShapeRebar object.
  • The other parameters are the same as required by the makeUShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import UShapeRebar

UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
                            16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
                            16, 70, 5, True, 5, "Top")